Bug 177036 - Review Request: perl-String-CRC32
Review Request: perl-String-CRC32
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jose Pedro Oliveira
David Lawrence
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-01-05 12:03 EST by Paul Howarth
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-07 06:36:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 2006-01-05 12:03:31 EST
Spec Name or Url: http://www.city-fan.org/~paul/extras/perl-String-CRC32/perl-String-CRC32.spec
SRPM Name or Url: http://www.city-fan.org/~paul/extras/perl-String-CRC32/perl-String-CRC32-1.3-1.src.rpm
Description:

The CRC32 module calculates CRC sums of 32 bit lengths. It generates the same
CRC values as ZMODEM, PKZIP, PICCHECK and many others. Despite its name, this
module is able to compute the checksum of files as well as strings.

Note: perl-String-CRC32 is already in rawhide, so this package will only be in Extras for the FC-3 and FC-4 branches.
Comment 1 Jose Pedro Oliveira 2006-01-06 12:05:44 EST
APPROVED

MD5SUMS:
77ea84ae531b436665a1abb38b094f12  perl-String-CRC32-1.3-1.src.rpm

9b1675d86a68b7f6bc2ede02d4a212c2  perl-String-CRC32.spec
7683cd1b183a6af807f20ee5fd076d0b  String-CRC32-1.3.tar.gz

Sources:
* String-CRC32-1.3.tar.gz: MD5 digest verified against a CPAN copy

Good:
* URL and Sources/Patches url valid
* License verified (main pod page)
* perl(:MODULE_COMPAT_xxx) present
* perl vendor libs present
* Builds without problems in FC-3 and FC-4
* (Un)installs without problems in FC-3 and FC-4
* No opened bugs in http://rt.cpan.org/NoAuth/Bugs.html?Dist=String-CRC32


Other perl-String-CRC32 related notes:
* specfile very similar to the one I had attached to ticket 176175
* there isn't a bugzilla entry for the current core component
* the license info in rawhide is wrong
  (reopened ticket 176175 to report this)
Comment 2 Paul Howarth 2006-01-07 06:36:12 EST
Built for FC-3 and FC-4.

Request for removal of devel branch posted at
http://fedoraproject.org/wiki/Extras/CVSSyncNeeded

Note You need to log in before you can comment on or make changes to this bug.